commit cd0180399253b17ece4fc1177457b21b8b70fe8f
Author: Andreas Bergmeier <lcid-fire@gmx.net>
Date:   Sat Jan 24 12:22:13 2009 +0100

    Add device and control number so it's apparent for which control this error is showing up.
    
    Signed-off-by: Andreas Bergmeier <lcid-fire@gmx.net>

diff --git a/sound/usb/usbaudio.c b/sound/usb/usbaudio.c
index 037435d..e578a5c 100644
--- a/sound/usb/usbaudio.c
+++ b/sound/usb/usbaudio.c
@@ -2867,12 +2867,12 @@ static int snd_usb_create_streams(struct snd_usb_audio *chip, int ctrlif)
 	/* find audiocontrol interface */
 	host_iface = &usb_ifnum_to_if(dev, ctrlif)->altsetting[0];
 	if (!(p1 = snd_usb_find_csint_desc(host_iface->extra, host_iface->extralen, NULL, HEADER))) {
-		snd_printk(KERN_ERR "cannot find HEADER\n");
+		snd_printk(KERN_ERR "%d:%u: cannot find HEADER\n", dev->devnum, ctrlif);
 
 		return -EINVAL;
 	}
 	if (! p1[7] || p1[0] < 8 + p1[7]) {
-		snd_printk(KERN_ERR "invalid HEADER\n");
+		snd_printk(KERN_ERR "%d:%u: invalid HEADER\n", dev->devnum, ctrlif);
 		return -EINVAL;
 	}
 
